//---- RECUPERA PARAMETRO DE LA URL -----------

function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return"";
	else
		return results[1];
}

//----------------------------------

function cargar_sedes(){

var parametros = {"accion":'sedes'};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){
                        
                        $("#sedes").html(response);
           }
        });
        
}

//-------------------------------------
function limpiar(){
    
            
  var dir=parametro('dir');
  
  if(dir=='1'){     
    window.location.href="nota_faltante.php?dir=1";
  }else{
    var v1=parametro('id');
    window.location.href="nota_faltante.php?dir=2&id="+v1;
  }
//document.getElementById("alumnos").innerHTML="";
}



function mostrar_grados(){

var s=document.getElementById('sedes').value;

var parametros = {"accion":'grados',"sede":s};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#grados").html(response);
           }
        });

}

//-------------------------------------

function mostrar_grupos(){

var s=document.getElementById('sedes').value;
var g=document.getElementById('grados').value;

var parametros = {"accion":'grupos',"sede":s,"grado":g};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#grupos").html(response);
           }
        });

}

//-------------------------------------

function mostrar_asignaturas(){

var g=document.getElementById('grados').value;
var c=document.getElementById('grupos').value;

var parametros = {"accion":'asignaturas',"grado":g,"grupo":c};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#asignaturas").html(response);
           }
        });

}
//-------------------------------------

function mostrar_planilla(){

var sd=document.getElementById('sedes').value;

var g=document.getElementById('grados').value;
var c=document.getElementById('grupos').value;
var a=document.getElementById('asignaturas').value;



//alert(sd);
//exit();
//var parametros = {"accion":'listado_notas',"sede":sd,"grado":g,"grupo":c,"asignatura":a};
//        $.ajax({
//                data:  parametros,
//                url:   'consultas.php',
//                type:  'post',
//                success:function (response){
//
//                        $("#planilla").html(response);
//           }
//        });
 
           
window.open("consultas.php?accion=listado_notas&sede="+sd+"&grado="+g+"&grupo="+c+"&asignatura="+a,'Notas Parciales Faltantes','width=800,height=600');
      

}

//-------------------------------------

function mostrar_docente(){

var g=document.getElementById('grados').value;
var c=document.getElementById('grupos').value;
var a=document.getElementById('asignaturas').value;

var parametros = {"accion":'mostrar_docente',"grado":g,"grupo":c,"asignatura":a};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#docente").html(response);
           }
        });
}

//-------------------------------------

function retornar(){
  var dir=parametro('dir');
  
  if(dir=='1'){  
   document.location.href="../menu.php";
  }else{
      var v1=parametro('id');
   document.location.href="../menu_profesor.php?id="+v1;
  }
}

//-------------------------------------
